function requestChoiceQuestion(arrStr, devType) {
    console.log("requestChoiceQuestion::::" + arrStr);
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.requestChoiceQuestion.postMessage(arrStr)
        } else if (devType == "android") {
            window.androidInterface.requestChoiceQuestion(arrStr)
        }
    } catch (error) { } finally { }
}

function pptPlayVideo(devType, url, repeat) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.pptPlayVideo.postMessage(url, repeat);
        } else if (devType == "android") {
            window.androidInterface.pptPlayVideo(url, repeat);
        }
    } catch (error) { } finally { }
}
function pptReplayVideo(devType) {
    console.log("重播方法：pptReplayVideo");
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.pptReplayVideo.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.pptReplayVideo();
        }
    } catch (error) { } finally { }
}
function pptInitFinish(devType) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.pptInitFinish.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.pptInitFinish();
        }
    } catch (error) { } finally { }
}
function pptIdleLoad(pptList) {
    QuestionMain.pptIdleLoad(pptList);
}
function pptActionDo(jsonStr, timeStamp) {
    cmdManager.pptActionDo(jsonStr, timeStamp);
}
function lookH5Code(devType, str) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.lookH5Code.postMessage(str);
        } else if (devType == "android") {
            window.androidInterface.lookH5Code(str);
        }
    } catch (error) { } finally { }
}
function h5Heartbeat(devType) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.h5Heartbeat.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.h5Heartbeat();
        }
    } catch (error) { } finally { }
}
function pptRequest(devType, jsonStr) {
    try {
        console.log("pptRequest::::" + jsonStr);
        if (devType == "ios") {
            window.webkit.messageHandlers.pptRequest.postMessage(jsonStr);
        } else if (devType == "android") {
            window.androidInterface.pptRequest(jsonStr);
        } else{
            webRequest(devType,jsonStr);
        }
    } catch (error) { } finally { }
}

function nativeRequest(devType, jsonStr) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.jsReqNativeDo.postMessage(jsonStr);
        } else if (devType == "android") {
            window.androidInterface.jsReqNativeDo(jsonStr);
        }
    } catch (error) { } finally { }
}

function refreshPageNotify(devType) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.refreshPageNotify.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.refreshPageNotify();
        }
    } catch (error) { } finally { }
}
function pptFileNotFound(devType, str) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.pptFileNotFound.postMessage(str);
        } else if (devType == "android") {
            window.androidInterface.pptFileNotFound(str);
        }
    } catch (error) { } finally { }
}

/**
 * pptResDecision PPT资源启动
 */
function pptResDecision(size, res, type) {
    var pptRes = res || "ppt/";
    QuestionMain.getThis.createConfig(size, pptRes ,type);
}
function whatPPTKind(devType) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.whatPPTKind.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.whatPPTKind();
        }
    } catch (error) { } finally { }
}
function preclassActionDo(jsonStr, timeStamp, pageDo) {
    cmdManager.preclassActionDo(jsonStr, timeStamp, pageDo);
}
function preclassRequest(devType, jsonStr, funType) {
    funType = funType || "2";
    try {
        console.log("pptRequest::::" + jsonStr);
        if (devType == "ios") {
            if (funType == "1") {
                window.webkit.messageHandlers.pptTempRequest.postMessage(jsonStr)
            } else if (funType == "2") {
                window.webkit.messageHandlers.preclassRequest.postMessage(jsonStr)
            }
        } else if (devType == "android") {
            if (funType == "1") {
                window.androidInterface.pptTempRequest(jsonStr)
            } else if (funType == "2") {
                window.androidInterface.preclassRequest(jsonStr)
            }
        }
    } catch (error) { } finally { }
}

function nativePlaySound(devType, url, loops) {
    try {
        if (devType == "ios") {
            var jsonStr = {
                "url": url,
                "loops": loops
            };
            window.webkit.messageHandlers.nativePlaySound.postMessage(jsonStr);
        } else if (devType == "android") {
            window.androidInterface.nativePlaySound(url, loops);
        }
    } catch (error) { } finally { }
}
function nativePlayMusic(devType, url, loops) {
    try {
        if (devType == "ios") {
            var jsonStr = {
                "url": url,
                "loops": loops
            };
            window.webkit.messageHandlers.nativePlayMusic.postMessage(jsonStr);
        } else if (devType == "android") {
            window.androidInterface.nativePlayMusic(url, loops);
        }
    } catch (error) { } finally { }
}
function nativeStopAll(devType) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.nativeStopAll.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.nativeStopAll();
        }
    } catch (error) { } finally { }
}
function nativeStopMusic(devType) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.nativeStopMusic.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.nativeStopMusic();
        }
    } catch (error) { } finally { }
}
function nativeStopAllSound(devType) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.nativeStopAllSound.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.nativeStopAllSound();
        }
    } catch (error) { } finally { }
}

function playSpeech(devType) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.playSpeech.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.playSpeech();
        }
    } catch (error) { } finally { }
}
function startSpeech(devType, str) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.startSpeech.postMessage(str);
        } else if (devType == "android") {
            window.androidInterface.startSpeech(str);
        }
    } catch (error) { } finally { }
}
function stopSpeech(devType) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.stopSpeech.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.stopSpeech();
        }
    } catch (error) { } finally { }
}


function playSpeechOver() {
    fymvc.Facade.getInstance().send(PPTEvent.record_speech,"playSpeechOver");
}
function canTurnPage(devType) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.canTurnPage.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.canTurnPage();
        }
    } catch (error) { } finally { }
}
function jsLoadScorePageFinish(devType) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.jsLoadScorePageFinish.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.jsLoadScorePageFinish();
        }
    } catch (error) { } finally { }
}
function turn2PPTHome(devType) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.turn2PPTHome.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.turn2PPTHome();
        }
    } catch (error) { } finally { }
}
function reviewRetry(devType) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.reviewRetry.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.reviewRetry();
        }
    } catch (error) { } finally { }
}

function playStartSpeechAni(){
    // fymvc.Facade.getInstance().send(PPTEvent.start_speech_animate);
    fymvc.Facade.getInstance().send(PPTEvent.record_speech,"start_speech_animate");
}

function jsShowToast(devType, title) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.jsShowToast.postMessage(title);
        } else if (devType == "android") {
            window.androidInterface.jsShowToast(title);
        }
    } catch (error) { } finally { }
}
function jsShowExitDialog(devType, json) {
    console.log("jsShowExitDialog");
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.jsShowExitDialog.postMessage(json);
        } else if (devType == "android") {
            window.androidInterface.jsShowExitDialog(json.title,json.msg,json.button);
        }
    } catch (error) { } finally { }
}
function jsShowLoading(devType) {
    console.log("jsShowLoading");
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.jsShowLoading.postMessage("加载中");
        } else if (devType == "android") {
            window.androidInterface.jsShowLoading();
        }
    } catch (error) { } finally { }
}
function jsDissmissLoading(devType) {
    console.log("jsDissmissLoading");
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.jsDissmissLoading.postMessage(devType);
        } else if (devType == "android") {
            window.androidInterface.jsDissmissLoading();
        }
    } catch (error) { } finally { }
}
function jsResourceNotFound(devType, json) {
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.jsResourceNotFound.postMessage(JSON.stringify(json));
        } else if (devType == "android") {
            window.androidInterface.jsResourceNotFound(JSON.stringify(json));
        }
    } catch (error) { } finally { }
}

function pageReload() {
    location.reload();
}

//神策数据上报
function jsReportAnalyzeEvent(devType, json){
    try {
        if (devType == "ios") {
            window.webkit.messageHandlers.jsReportAnalyzeEvent.postMessage(json);
        } else if (devType == "android") {
            window.androidInterface.jsReportAnalyzeEvent(json);
        }
    } catch (error) { } finally { }
}

//分享回调接口占位用
function callH5JSActionDo(){

}

//预习结束时关闭音乐
function stopAllSound() {
    
}

//web向父级传递结果方法
function webRequest(devType,jsonStr){
    if(window.parent !== window){
        window.parent.pptRequest(devType,jsonStr);
    }
}